# fmgr_provisioning – Provision devices via FortiMananger

New in version 2.7.

- Synopsis
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- Add model devices on the FortiManager using jsonrpc API and have them pre-configured, so when central management is configured, the configuration is pushed down to the registering devices

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
adom - / required |  | The administrative domain (admon) the configuration belongs to
description - |  | Description of the device to be provisioned.
group - |  | The name of the device group the provisioned device can belong to.
host - / required |  | The FortiManager's Address.
minor_release - |  | The minor release number such as 6.X.1, as X being the minor release.
name - / required |  | The name of the device to be provisioned.
os_type - / required |  | The Fortinet OS type to be pushed to the device, such as 'FOS' for FortiOS.
os_version - / required |  | The Fortinet OS version to be used for the device, such as 5.0 or 6.0.
password - |  | The password associated with the username account.
patch_release - |  | The patch release number such as 6.0.X, as X being the patch release.
platform - / required |  | The platform of the device, such as model number or VM.
policy_package - / required |  | The name of the policy package to be assigned to the device.
serial - / required |  | The serial number of the device that will be provisioned.
username - / required |  | The username to log into the FortiManager
vdom - |  | The virtual domain (vdom) the configuration belongs to

## Examples

    - name: Create FGT1 Model Device
      fmgr_provisioning:
        host: "{{ inventory_hostname }}"
        username: "{{ username }}"
        password: "{{ password }}"
        adom: "root"
        vdom: "root"
        policy_package: "default"
        name: "FGT1"
        group: "Ansible"
        serial: "FGVM000000117994"
        platform: "FortiGate-VM64"
        description: "Provisioned by Ansible"
        os_version: '6.0'
        minor_release: 0
        patch_release: 0
        os_type: 'fos'

    - name: Create FGT2 Model Device
      fmgr_provisioning:
        host: "{{ inventory_hostname }}"
        username: "{{ username }}"
        password: "{{ password }}"
        adom: "root"
        vdom: "root"
        policy_package: "test_pp"
        name: "FGT2"
        group: "Ansible"
        serial: "FGVM000000117992"
        platform: "FortiGate-VM64"
        description: "Provisioned by Ansible"
        os_version: '5.0'
        minor_release: 6
        patch_release: 0
        os_type: 'fos'

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
api_result string | always | full API response, includes status code and message

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Andrew Welsh (@Ghilli3)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.